import { createContext, useContext, useState } from "react";
import * as api from "../lib/api";
export const AppContext = createContext();
export const useAppContext = () => useContext(AppContext);

export function ContextProvider({ children }) {
  const [userseats, setUserSeats] = useState([]);
  const [isLoggedIn, setIsLoggedIn] = useState(false);
  const LoginOrRegister = async ({ mobile }) => {
    try {
      const response = await api.LoginOrRegister({ mobile });
      setIsLoggedIn(true);
      return response;
    } catch (err) {
      console.log(err.message);
    }
  };
  const AddOrUpdateSeats = async ({ userId, seats, bookingId }) => {
    try {
      const response = await api.AddOrUpdateSeats({
        userId,
        seats,
        bookingId,
      });
      if (response.isAddSeat) {
        setUserSeats([...userseats, response.response]);
      } else {
        const result = userseats.map((e) =>
          e.userId === userId ? response.response : e
        );
        setUserSeats(result);
      }
    } catch (err) {
      console.log(err.message);
    }
  };
  const GetAllReservedSeats = async () => {
    try {
      const response = await api.GetAllSeats();
      setUserSeats(response);
    } catch (err) {
      console.log(err.message);
    }
  };
  const value = {
    userseats,
    isLoggedIn,
    LoginOrRegister,
    AddOrUpdateSeats,
    GetAllReservedSeats,
  };
  return <AppContext.Provider value={value}>{children}</AppContext.Provider>;
}
