import { useState } from "react";
import Button from "../../Base/button";
import Layout from "../../Base/layout";
import styles from "./seatlimit.module.css";

function SeatLimit({ onLimit, ...props }) {
  const [limit, setLimit] = useState(0);
  const handleLimit = () => {
    onLimit({ limit });
  };
  return (
    <Layout title="How many seats?">
      <form onSubmit={handleLimit} className={styles["form"]}>
        <div>
          <label>No of seats:</label>
          <input
            className={styles.input}
            type="number"
            value={limit}
            onChange={(e) => setLimit(e.target.value)}
          />
        </div>
        <Button {...props}>Book Seats</Button>
      </form>
    </Layout>
  );
}
export default SeatLimit;
